Package org.eclipse.team.core.importing.provisional

# Interface IBundleImporter

All Superinterfaces:
  `IBundleImporterDelegate`

public interface IBundleImporter extends IBundleImporterDelegate
A bundle importer represents an instance of a bundle importer extension. Clients contributing a bundle importer extension contribute an implementation of `IBundleImporterDelegate` rather than this interface.

Clients contributing a bundle importer extension are intended to implement `IBundleImporterDelegate`.

EXPERIMENTAL. This interface has been added as part of a work in progress. There is no guarantee that this API will work or that it will remain the same. Please do not use this API without consulting with the Team team.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Returns a short description of this importer, or `null` if unspecified.
`String`
`getId()`
Returns this impoter's unique identifier.
`String`
`getName()`
Returns a human readable name for this importer.

### Methods inherited from interface org.eclipse.team.core.importing.provisional.IBundleImporterDelegate

`performImport, validateImport`

## Method Details

### getId

String getId()
Returns this impoter's unique identifier.

Returns:
  identifier

### getDescription

String getDescription()
Returns a short description of this importer, or `null` if unspecified.

Returns:
  description or `null`

### getName

String getName()
Returns a human readable name for this importer.

Returns:
  name